Просмотр телевидения на Линуксе (IPTV плеер)

shtil
1366х768
Попробуйте так:
echo -n '{"expplaylistheight": false, "expplaylistposition": [967, -2]}' > $HOME/.config/astronciaiptv/expheight.json
Take my love, take my land. Take me where I cannot stand. I don't care cause I'm still free. You can't take the sky from me.
При попытке запуска, выдало:
krivetko:~ $ astronciaiptv &
[1] 1176
krivetko:~ $ [08:49:14] System locale: ru
[08:49:14] Settings locale: Русский

[08:49:14] Qt init
[08:49:14]
Cannot mix incompatible Qt library (6.1.3) with this library (6.2.0)
Уважаемые, как заставить работать?
Это на arch + lightdm + compiz.
Извините, глянул лог пакмана, понял...
Дождался обновления, но запустить так и не получилось...
$ astronciaiptv
[11:24:12] System locale: ru
[11:24:12] Settings locale: Русский

[11:24:12] Qt init
[11:24:12]
[11:24:12] Если вы видите здесь ошибку Cannot mix incompatible Qt library, это не проблема Astroncia IPTV, а ВАША.
Убедитесь, что все библиотеки Qt обновлены до последней версии.
[11:24:12]
Cannot mix incompatible Qt library (6.1.3) with this library (6.2.0)
Аварийный останов (стек памяти сброшен на диск)
Моя ошибка, как раз появилась, после обновления библиотек Qt до последней версии. Вот выдержка из paclog'a:
02/10/2021  00:56  upgraded    qt6-base       6.1.3-1 -> 6.2.0-1
02/10/2021  00:56  upgraded    shiboken6               6.1.3-1 -> 6.2.0-1
02/10/2021  00:56  upgraded    qt6-declarative       6.1.3-1 -> 6.2.0-1
02/10/2021  00:56  upgraded    pyside6                   6.1.3-1 -> 6.2.0-2
Или есть ещё какие-то библиотеки, на которые завязана Astroncia?
krivetko
Cannot mix incompatible Qt library (6.1.3) with this library (6.2.0)
Ну а сам пакет пересобрали с новыми библиотеками?
krivetko
Моя ошибка, как раз появилась, после обновления библиотек Qt до последней версии.
А покажите это
QT_DEBUG_PLUGINS=1 astronciaiptv
и вот это
pacman -Q | grep -i qt6
и вот это
python3 -c 'from PySide6 import QtWidgets; QtWidgets.QApplication([])'
Take my love, take my land. Take me where I cannot stand. I don't care cause I'm still free. You can't take the sky from me.
astroncia, а можно узнать, почему ПО использует PySide6 или PyQt5, но не PyQt6?
Псевдографический инсталлятор Arch Linux ver. 3.8.2
Благодарности принимаются на ЯД 410012815723874
QT_DEBUG_PLUGINS=1 astronciaiptv:
[19:34:35] System locale: ru
[19:34:35] Settings locale: Русский

[19:34:35] Qt init
[19:34:35]
[19:34:35] Если вы видите здесь ошибку Cannot mix incompatible Qt library, это не проблема Astroncia IPTV, а ВАША.
Убедитесь, что все библиотеки Qt обновлены до последней версии.
[19:34:35]
QFactoryLoader::QFactoryLoader() checking directory path "/usr/lib/qt6/plugins/platforms" ...
QFactoryLoader::QFactoryLoader() looking at "/usr/lib/qt6/plugins/platforms/libqeglfs.so"
Found metadata in lib /usr/lib/qt6/plugins/platforms/libqeglfs.so, metadata=
{
    "IID": "org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3",
    "MetaData": {
        "Keys": [
            "eglfs"
        ]
    },
    "archreq": 0,
    "className": "QEglFSIntegrationPlugin",
    "debug": false,
    "version": 393728
}
Got keys from plugin meta data QList("eglfs")
QFactoryLoader::QFactoryLoader() looking at "/usr/lib/qt6/plugins/platforms/libqlinuxfb.so"
Found metadata in lib /usr/lib/qt6/plugins/platforms/libqlinuxfb.so, metadata=
{
    "IID": "org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3",
    "MetaData": {
        "Keys": [
            "linuxfb"
        ]
    },
    "archreq": 0,
    "className": "QLinuxFbIntegrationPlugin",
    "debug": false,
    "version": 393728
}
Got keys from plugin meta data QList("linuxfb")
QFactoryLoader::QFactoryLoader() looking at "/usr/lib/qt6/plugins/platforms/libqminimal.so"
Found metadata in lib /usr/lib/qt6/plugins/platforms/libqminimal.so, metadata=
{
    "IID": "org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3",
    "MetaData": {
        "Keys": [
            "minimal"
        ]
    },
    "archreq": 0,
    "className": "QMinimalIntegrationPlugin",
    "debug": false,
    "version": 393728
}
Got keys from plugin meta data QList("minimal")
QFactoryLoader::QFactoryLoader() looking at "/usr/lib/qt6/plugins/platforms/libqminimalegl.so"
Found metadata in lib /usr/lib/qt6/plugins/platforms/libqminimalegl.so, metadata=
{
    "IID": "org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3",
    "MetaData": {
        "Keys": [
            "minimalegl"
        ]
    },
    "archreq": 0,
    "className": "QMinimalEglIntegrationPlugin",
    "debug": false,
    "version": 393728
}
Got keys from plugin meta data QList("minimalegl")
QFactoryLoader::QFactoryLoader() looking at "/usr/lib/qt6/plugins/platforms/libqoffscreen.so"
Found metadata in lib /usr/lib/qt6/plugins/platforms/libqoffscreen.so, metadata=
{
    "IID": "org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3",
    "MetaData": {
        "Keys": [
            "offscreen"
        ]
    },
    "archreq": 0,
    "className": "QOffscreenIntegrationPlugin",
    "debug": false,
    "version": 393728
}
Got keys from plugin meta data QList("offscreen")
QFactoryLoader::QFactoryLoader() looking at "/usr/lib/qt6/plugins/platforms/libqvkkhrdisplay.so"
Found metadata in lib /usr/lib/qt6/plugins/platforms/libqvkkhrdisplay.so, metadata=
{
    "IID": "org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3",
    "MetaData": {
        "Keys": [
            "vkkhrdisplay"
        ]
    },
    "archreq": 0,
    "className": "QVkKhrDisplayIntegrationPlugin",
    "debug": false,
    "version": 393728
}
Got keys from plugin meta data QList("vkkhrdisplay")
QFactoryLoader::QFactoryLoader() looking at "/usr/lib/qt6/plugins/platforms/libqvnc.so"
Found metadata in lib /usr/lib/qt6/plugins/platforms/libqvnc.so, metadata=
{
    "IID": "org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3",
    "MetaData": {
        "Keys": [
            "vnc"
        ]
    },
    "archreq": 0,
    "className": "QVncIntegrationPlugin",
    "debug": false,
    "version": 393728
}
Got keys from plugin meta data QList("vnc")
QFactoryLoader::QFactoryLoader() looking at "/usr/lib/qt6/plugins/platforms/libqxcb.so"
Found metadata in lib /usr/lib/qt6/plugins/platforms/libqxcb.so, metadata=
{
    "IID": "org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3",
    "MetaData": {
        "Keys": [
            "xcb"
        ]
    },
    "archreq": 0,
    "className": "QXcbIntegrationPlugin",
    "debug": false,
    "version": 393728
}
Got keys from plugin meta data QList("xcb")
QFactoryLoader::QFactoryLoader() checking directory path "/usr/bin/platforms" ...
loaded library "/usr/lib/qt6/plugins/platforms/libqxcb.so"
loaded library "Xcursor"
QFactoryLoader::QFactoryLoader() checking directory path "/usr/lib/qt6/plugins/platformthemes" ...
QFactoryLoader::QFactoryLoader() looking at "/usr/lib/qt6/plugins/platformthemes/libqgtk3.so"
Found metadata in lib /usr/lib/qt6/plugins/platformthemes/libqgtk3.so, metadata=
{
    "IID": "org.qt-project.Qt.QPA.QPlatformThemeFactoryInterface.5.1",
    "MetaData": {
        "Keys": [
            "gtk3"
        ]
    },
    "archreq": 0,
    "className": "QGtk3ThemePlugin",
    "debug": false,
    "version": 393728
}
Got keys from plugin meta data QList("gtk3")
QFactoryLoader::QFactoryLoader() looking at "/usr/lib/qt6/plugins/platformthemes/libqt6ct.so"
Found metadata in lib /usr/lib/qt6/plugins/platformthemes/libqt6ct.so, metadata=
{
    "IID": "org.qt-project.Qt.QPA.QPlatformThemeFactoryInterface.5.1",
    "MetaData": {
        "Keys": [
            "qt6ct",
            "qt5ct"
        ]
    },
    "archreq": 0,
    "className": "Qt6CTPlatformThemePlugin",
    "debug": false,
    "version": 393728
}
Got keys from plugin meta data QList("qt6ct", "qt5ct")
QFactoryLoader::QFactoryLoader() looking at "/usr/lib/qt6/plugins/platformthemes/libqt6gtk2.so"
Found metadata in lib /usr/lib/qt6/plugins/platformthemes/libqt6gtk2.so, metadata=
{
    "IID": "org.qt-project.Qt.QPA.QPlatformThemeFactoryInterface.5.1",
    "MetaData": {
        "Keys": [
            "qt5gtk2",
            "qt6gtk2"
        ]
    },
    "archreq": 0,
    "className": "Qt6Gtk2ThemePlugin",
    "debug": false,
    "version": 393472
}
Got keys from plugin meta data QList("qt5gtk2", "qt6gtk2")
QFactoryLoader::QFactoryLoader() looking at "/usr/lib/qt6/plugins/platformthemes/libqxdgdesktopportal.so"
Found metadata in lib /usr/lib/qt6/plugins/platformthemes/libqxdgdesktopportal.so, metadata=
{
    "IID": "org.qt-project.Qt.QPA.QPlatformThemeFactoryInterface.5.1",
    "MetaData": {
        "Keys": [
            "xdgdesktopportal",
            "flatpak",
            "snap"
        ]
    },
    "archreq": 0,
    "className": "QXdgDesktopPortalThemePlugin",
    "debug": false,
    "version": 393728
}
Got keys from plugin meta data QList("xdgdesktopportal", "flatpak", "snap")
QFactoryLoader::QFactoryLoader() checking directory path "/usr/bin/platformthemes" ...
loaded library "/usr/lib/qt6/plugins/platformthemes/libqt6ct.so"
QFactoryLoader::QFactoryLoader() checking directory path "/usr/lib/qt6/plugins/styles" ...
QFactoryLoader::QFactoryLoader() looking at "/usr/lib/qt6/plugins/styles/libqt6ct-style.so"
Found metadata in lib /usr/lib/qt6/plugins/styles/libqt6ct-style.so, metadata=
{
    "IID": "org.qt-project.Qt.QStyleFactoryInterface",
    "MetaData": {
        "Keys": [
            "qt6ct-style"
        ]
    },
    "archreq": 0,
    "className": "Qt6CTStylePlugin",
    "debug": false,
    "version": 393728
}
Got keys from plugin meta data QList("qt6ct-style")
QFactoryLoader::QFactoryLoader() looking at "/usr/lib/qt6/plugins/styles/libqt6gtk2-style.so"
Found metadata in lib /usr/lib/qt6/plugins/styles/libqt6gtk2-style.so, metadata=
{
    "IID": "org.qt-project.Qt.QStyleFactoryInterface",
    "MetaData": {
        "Keys": [
            "qt5gtk2",
            "qt6gtk2"
        ]
    },
    "archreq": 0,
    "className": "Qt6Gtk2StylePlugin",
    "debug": false,
    "version": 393472
}
Got keys from plugin meta data QList("qt5gtk2", "qt6gtk2")
QFactoryLoader::QFactoryLoader() checking directory path "/usr/bin/styles" ...
QFactoryLoader::QFactoryLoader() checking directory path "/usr/lib/qt6/plugins/platforminputcontexts" ...
QFactoryLoader::QFactoryLoader() looking at "/usr/lib/qt6/plugins/platforminputcontexts/libcomposeplatforminputcontextplugin.so"
Found metadata in lib /usr/lib/qt6/plugins/platforminputcontexts/libcomposeplatforminputcontextplugin.so, metadata=
{
    "IID": "org.qt-project.Qt.QPlatformInputContextFactoryInterface.5.1",
    "MetaData": {
        "Keys": [
            "compose",
            "xim"
        ]
    },
    "archreq": 0,
    "className": "QComposePlatformInputContextPlugin",
    "debug": false,
    "version": 393728
}
Got keys from plugin meta data QList("compose", "xim")
QFactoryLoader::QFactoryLoader() looking at "/usr/lib/qt6/plugins/platforminputcontexts/libibusplatforminputcontextplugin.so"
Found metadata in lib /usr/lib/qt6/plugins/platforminputcontexts/libibusplatforminputcontextplugin.so, metadata=
{
    "IID": "org.qt-project.Qt.QPlatformInputContextFactoryInterface.5.1",
    "MetaData": {
        "Keys": [
            "ibus"
        ]
    },
    "archreq": 0,
    "className": "QIbusPlatformInputContextPlugin",
    "debug": false,
    "version": 393728
}
Got keys from plugin meta data QList("ibus")
QFactoryLoader::QFactoryLoader() checking directory path "/usr/bin/platforminputcontexts" ...
loaded library "/usr/lib/qt6/plugins/platforminputcontexts/libcomposeplatforminputcontextplugin.so"
loaded library "/usr/lib/qt6/plugins/styles/libqt6ct-style.so"
loaded library "/usr/lib/qt6/plugins/styles/libqt6gtk2-style.so"
Cannot mix incompatible Qt library (6.1.3) with this library (6.2.0)
Аварийный останов (стек памяти сброшен на диск)
$ pacman -Q | grep -i qt6:
qt6-base 6.2.0-1
qt6-declarative 6.2.0-1
qt6-svg 6.2.0-1
qt6-tools 6.2.0-1
qt6ct 0.5-1
qt6gtk2 0.1-1
$ python3 -c 'from PySide6 import QtWidgets; QtWidgets.QApplication([])':
Cannot mix incompatible Qt library (6.1.3) with this library (6.2.0)
Аварийный останов (стек памяти сброшен на диск)
krivetko
qt6gtk2 0.1-1
удалите
Ну или попробуйте
env QT_QPA_PLATFORMTHEME= astronciaiptv

Хотя скорее всего не пересобрал qt6gtk2 с новым qt6
vs220
Хотя скорее всего не пересобрал qt6gtk2 с новым qt6
Точно! Не пересобрал (плохо быть бестолковым! :( )...
Спасибо!
 
Зарегистрироваться или войдите чтобы оставить сообщение.